## libnotify 0.8.1

=== debian/changelog ===
libnotify (0.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1015006, #1015008)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2022 16:52:02 +0200

libnotify (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libnotify4.symbols: Update

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Jul 2022 17:42:26 +0200

libnotify (0.7.12-1) unstable; urgency=medium

  * New upstream release:
    - Fix crash when activating action with electron apps
  * debian/patches:
    - Drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 May 2022 19:55:36 +0200

libnotify (0.7.11-2) unstable; urgency=medium

  * debian/tests: Use python-dbusmock to run notification tests.
    Avoid installing notification-daemon, while we can handle all this
    without X11 and using dbus-mock to simulate a notification daemon.
  * debian/patches: Expose sender-pid by default when not set
  * debian/tests/build: Ensure that notification worked.
  * debian/control: Only suggest any implementer of FDO notification daemon.
    While the library would work better when a daemon implements the API,
    we can just be more flexible and we can just downgrade to suggests while
    notification-daemon can be now implemented by multiple packages.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 16:54:44 +0200

libnotify (0.7.11-1) unstable; urgency=medium

  * New upstream release:
    - notify-send: Support for replacing an existing notification (LP: #257135,
      Closes: #559544)
    - notify-send: Support commas in icon filenames (LP: #674642)
    - notify-send: Give failing exit code if showing notification fails
      (LP: #1970647, Closes: #609556, Closes: #679653)
    - notify-send: Add support for notification actions and responses
      (Closes: #571181)
    - notify-send: Add option to wait until notification has been closed
    - notify-send: Add support for boolean hints (Closes: #636343)
    - docs/notify-send: Add missing --app-name to manpage (Closes: #756151)
  * debian/rules: Use DPKG_GENSYMBOLS_CHECK_LEVEL instead of override
  * debian: Use debhelper 13, and remove explicit --fail-missing
  * debian/control: Update Standards-Version, no change needed
  * debian/libnotify4.symbols: Add new symbols
  * debian/patches: Add transient option to man

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Apr 2022 21:47:25 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libnotify
Priority: optional
Section: libs
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl-ns,
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
               gnome-pkg-tools (>= 0.7),
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               gtk-doc-tools (>= 1.14),
               meson (>= 0.47),
               xmlto,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/gnome-team/libnotify
Vcs-Git: https://salsa.debian.org/gnome-team/libnotify.git

Package: libnotify-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libnotify4 (= ${binary:Version}),
         gir1.2-notify-0.7 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev
Description: sends desktop notifications to a notification daemon (Development files)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the include files and static library.

Package: libnotify4
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: notification-daemon
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the shared library. To actually display the
 notifications, you need to install the package notification-daemon or
 any other desktop environment implementing the FreeDesktop notification
 daemon specification.

Package: libnotify-bin
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: sends desktop notifications to a notification daemon (Utilities)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the binary which sends the notification.

Package: libnotify-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: devhelp
Description: sends desktop notifications to a notification daemon (Documentation)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the documentation for libnotify4 in
 /usr/share/gtk-doc/html/libnotify and the notifications specifications in
 /usr/share/doc/libnotify/spec/.

Package: gir1.2-notify-0.7
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: sends desktop notifications to a notification daemon (Introspection files)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --with gir,gnome

## libnotify 0.8.2

=== debian/changelog ===
libnotify (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set minimum meson to 0.58
  * Build-Depend on gi-docgen instead of gtk-doc-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 16:42:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Priority: optional
 Section: libs
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                docbook-xsl-ns,
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                gnome-pkg-tools (>= 0.7),
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
-               gtk-doc-tools (>= 1.14),
-               meson (>= 0.47),
+               gi-docgen,
+               meson (>= 0.58),
                xmlto,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0.1
@@ -31,7 +31,7 @@
          libnotify4 (= ${binary:Version}),
          gir1.2-notify-0.7 (= ${binary:Version}),
          libglib2.0-dev (>= 2.26),
-         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev
+         libgdk-pixbuf-2.0-dev,
 Description: sends desktop notifications to a notification daemon (Development files)
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be

## libnotify 0.8.3

=== debian/changelog ===
libnotify (0.8.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:08:51 +0000

libnotify (0.8.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:27:15 +0000

libnotify (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib to 2.62.0
  * Bump Standards-Version to 4.6.2
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 11:37:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libnotify
 Priority: optional
 Section: libs
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                docbook-xsl-ns,
-               libglib2.0-dev (>= 2.26),
+               libglib2.0-dev (>= 2.62.0),
                libgtk-3-dev (>= 3.0.0),
                libgdk-pixbuf-2.0-dev,
-               gnome-pkg-tools (>= 0.7),
-               gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
                gi-docgen,
                meson (>= 0.58),
                xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libnotify
 Vcs-Git: https://salsa.debian.org/gnome-team/libnotify.git

## libnotify 0.8.4

=== debian/changelog ===
libnotify (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/libnotify4.symbols: Add new symbols
  * debian/libnotify-doc.links: Symlink documentation to devhelp path

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 04:31:13 +0100

## libnotify 0.8.6

=== meson_options.txt ===
option('tests',
  type: 'boolean',
  value: true,
  description: 'Build tests')
option('introspection',
  type: 'feature',
  value: 'enabled',
  description: 'Enable GObject introspection')
option('man',
  type: 'boolean',
  value: true,
  description: 'Enable generating the manual page (depends on xsltproc)')
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Enable generating the API reference (depends on gi-docgen)')
option('docbook_docs',
  type: 'feature',
  value: 'auto',
  description: 'Build DocBook documentation (requires xmlto)')

=== debian/changelog ===
libnotify (0.8.6-2) unstable; urgency=medium

  * Team upload
  * d/salsa-ci.yml: Add
  * d/control: Build-depend on gobject-introspection instead of
    libgirepository1.0-dev
  * d/control: Explicitly build-depend on gir1.2-gdkpixbuf-2.0-dev
  * d/control: libnotify-dev Depends on ${gir:Depends} instead of
    hard-coding its expansion
  * d/control: libnotify-dev Provides ${gir:Provides}
  * d/control, d/rules: Don't build documentation on per-architecture
    buildds.
    We still need xsltproc (previously pulled in by xmlto), for the
    man pages.
  * d/control, d/rules: Implement the nodoc build-profile
  * d/copyright: Don't quote the FSF's former postal address
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 11:35:22 +0100

libnotify (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * Don't run new build tests. See upstream #59

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 15:18:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libnotify
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               docbook-xsl-ns,
+               docbook-xsl-ns <!nodoc>,
+               gir1.2-gdkpixbuf-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.62.0),
                libgtk-3-dev (>= 3.0.0),
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev (>= 0.9.12),
-               gi-docgen,
                meson (>= 0.58),
-               xmlto,
+               xsltproc <!nodoc>,
+Build-Depends-Indep: gi-docgen <!nodoc>,
+                     xmlto <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libnotify
 Vcs-Git: https://salsa.debian.org/gnome-team/libnotify.git
 
@@ -23,11 +24,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          libnotify4 (= ${binary:Version}),
-         gir1.2-notify-0.7 (= ${binary:Version}),
          libglib2.0-dev (>= 2.26),
          libgdk-pixbuf-2.0-dev,
+Provides: ${gir:Provides},
 Description: sends desktop notifications to a notification daemon (Development files)
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -67,6 +69,7 @@
  This package contains the binary which sends the notification.
 
 Package: libnotify-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Ddocbook_docs=disabled
configure_flags += -Dgtk_doc=false
else
configure_flags += -Ddocbook_docs=enabled
configure_flags += -Dgtk_doc=true
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
configure_flags += -Dman=true
else
configure_flags += -Dman=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# https://gitlab.gnome.org/GNOME/libnotify/-/issues/59
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: dbus-run-session -- sh -x debian/tests/build
Depends: build-essential, dbus (>= 1.8), python3-dbusmock, libnotify-dev, pkg-config
Features: test-name=build-and-test-notification
Classes: desktop
Restrictions: allow-stderr

## libnotify 0.8.8

=== debian/changelog ===
libnotify (0.8.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update build dependencies
  * debian/libnotify4.symbols: Add new symbols and drop internal ones
  * debian/control: Add test dependencies
  * debian/rules: Run tests again

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 09 Jan 2026 04:30:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,19 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dbus-daemon <!nocheck>,
                docbook-xsl-ns <!nodoc>,
                gir1.2-gdkpixbuf-2.0-dev,
                gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.62.0),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-4-dev,
                libgdk-pixbuf-2.0-dev,
-               meson (>= 0.58),
+               meson (>= 0.64),
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               xauth <!nocheck>,
                xsltproc <!nodoc>,
+               xvfb <!nocheck>,
 Build-Depends-Indep: gi-docgen <!nodoc>,
                      xmlto <!nodoc>,
 Rules-Requires-Root: no
@@ -75,7 +80,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Suggests: devhelp
 Description: sends desktop notifications to a notification daemon (Documentation)
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
